
Redmine - Defect #5077

Redmine stops working when browsing a (large) subversion repository

2010-03-15 09:47 - Paolo Freuli

Status: Closed Start date: 2010-03-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hello I am running Redmine using the latest

Bitnami stack on Mysql and Ubuntu.

I configured a project with a Subversion repostitory

and executed the script to fetch data into mysql db.

Redmine works fine and at the very beginning I can even open the Repository tab and see the Repository tree.

After browsing the repository or selecting the "differences" link,

Redmine stops responding (forever).

I have to kill the mongrel process (not responding properly to the stop command).

_After a long time I get the folloqing error:

Proxy Error

The proxy server received an invalid response from an upstream server.

The proxy server could not handle the request GET /redmine/projects/develenv/repository/revisions/23091/diff.

Reason: Error reading from remote server_

Note:

I have tried both with mongrel and with webrick: same behaviour.

This is the result of a ps command execution like the following:

root     26296     1  0 10:28 ?        00:00:08 /opt/redmine-0.9.2-0/ruby/bin/.ruby.bin /opt/redmine-0.9.2-0/ruby/bin/mongrel_rails start -d

-e production --prefix /redmine -p 3001 -P tmp/pids/mongrel.3001.pid -l log/mongrel.3001.log

root     26312     1  1 10:28 ?        00:00:17 /opt/redmine-0.9.2-0/ruby/bin/.ruby.bin /opt/redmine-0.9.2-0/ruby/bin/mongrel_rails start -d

-e production --prefix /redmine -p 3002 -P tmp/pids/mongrel.3002.pid -l log/mongrel.3002.log

root     26343 26296  0 10:30 ?        00:00:00 /opt/redmine-0.9.2-0/ruby/bin/.ruby.bin /opt/redmine-0.9.2-0/ruby/bin/mongrel_rails start

-d -e production --prefix /redmine -p 3001 -P tmp/pids/mongrel.3001.pid -l log/mongrel.3001.log

root     26364 26312  0 10:32 ?        00:00:00 /opt/redmine-0.9.2-0/ruby/bin/.ruby.bin /opt/redmine-0.9.2-0/ruby/bin/mongrel_rails start

-d -e production --prefix /redmine -p 3002 -P tmp/pids/mongrel.3002.pid -l log/mongrel.3002.log

root     26387 26241  0 10:47 pts/2    00:00:00 grep mongrel

There are four mongrel processes (instead of the expected two), and redmine is not responding any more..

History

#1 - 2010-03-15 12:33 - Paolo Freuli

Starting Redmine in development mode I can see subversion commands calls in the development.log:

here is what I get when browsing the repository:

Shelling out: svn info --xml 'file:///tmp/redmine/' --no-auth-cache --non-interactive

Changeset Load (0.5ms)   SELECT * FROM `changesets` WHERE (`changesets`.repository_id = 1) ORDER BY changesets.committed_on DESC,

changesets.id DESC LIMIT 1

Changeset Columns (0.8ms)   SHOW FIELDS FROM `changesets`

Shelling out: svn list --xml 'file:///tmp/redmine/'@HEAD --no-auth-cache --non-interactive

Found 4 entries in the repository for 'file:///tmp/redmine/'

Shelling out: svn log --xml -r HEAD:1 --no-auth-cache --non-interactive --limit 10 'file:///tmp/redmine/'

Note that if I call the same command from the shell works fine.

#2 - 2010-03-15 14:11 - Paolo Freuli
I have found a work-around, installing the redmine-libsvn plugin.

#3 - 2010-03-23 13:49 - Ki Won Kim

Paolo Freuli wrote:

Starting Redmine in development mode I can see subversion commands calls in the development.log:

here is what I get when browsing the repository:

Shelling out: svn info --xml 'file:///tmp/redmine/' --no-auth-cache --non-interactive

Changeset Load (0.5ms)   SELECT * FROM `changesets` WHERE (`changesets`.repository_id = 1) ORDER BY changesets.committed_on

DESC, changesets.id DESC LIMIT 1

Changeset Columns (0.8ms)   SHOW FIELDS FROM `changesets`

Shelling out: svn list --xml 'file:///tmp/redmine/'@HEAD --no-auth-cache --non-interactive

Found 4 entries in the repository for 'file:///tmp/redmine/'

Shelling out: svn log --xml -r HEAD:1 --no-auth-cache --non-interactive --limit 10 'file:///tmp/redmine/'

Note that if I call the same command from the shell works fine.

 see http://www.redmine.org/wiki/redmine/FAQ#I-cant-browse-my-svn-repository-through-redmine

#4 - 2011-03-01 06:27 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid
